Subject: Re: [PATCH v4] grep: fix multibyte regex handling under macOS

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Sep 2022 13:41:13 -0700

Diomidis Spinellis <[email-masked]> writes:

>> Perhaps cook this in 'next' and see if anybody screams?

Let's do this.

> I was programming in C before locale.h was introduced, so its
> availability was something that worried me as well.  I looked up
> whether we could/should use a GNU autoconf macro to test for the
> locale.h availability.  According to autoconf's documentation "All
> hosted environments that are still of interest for portable code
> provide all of the headers specified in ISO C90 (as amended in 1995):
> assert.h, [...] locale.h [...], and wctype.h. Most programs can safely
> include these headers unconditionally." [1]

Yeah, but there are folks on minor platforms where full POSIX
compliance is iffy, so whatever autoconf's documentation says
unfortunately does not weigh as much as we wish it does.